package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-05-26
 */
@TableName("RESOURCE_TYPE")
public class ResourceType extends Model<ResourceType> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   @TableField("HANDLE")
   private String handle;
   @TableField("CHANGE_STAMP")
   private Long changeStamp;
   @TableField("SITE")
   private String site;
   @TableField("RESOURCE_TYPE")
   private String resourceType;
   @TableField("DESCRIPTION")
   private String description;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public Long getChangeStamp() {
      return changeStamp;
   }

   public void setChangeStamp(Long changeStamp) {
      this.changeStamp = changeStamp;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getResourceType() {
      return resourceType;
   }

   public void setResourceType(String resourceType) {
      this.resourceType = resourceType;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String CHANGE_STAMP = "CHANGE_STAMP";

public static final String SITE = "SITE";

public static final String RESOURCE_TYPE = "RESOURCE_TYPE";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ResourceType{" +
         "handle = " + handle +
         ", changeStamp = " + changeStamp +
         ", site = " + site +
         ", resourceType = " + resourceType +
         ", description = " + description +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}